﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Xamarin.Forms;
using Xamarin.Forms.Internals;

namespace DependencyApp
{
    public partial class MainPage : ContentPage
    {
        public MainPage()
        {
            InitializeComponent();

            ICalculator icalculator = DependencyService.Get<ICalculator>(DependencyFetchTarget.GlobalInstance);
            icalculator.setNum(10);
            int result = icalculator.getBase();
            System.Diagnostics.Debug.WriteLine("result = " + result);
            
        }

        private void Button_Clicked(object sender, EventArgs e)
        {

            Device.BeginInvokeOnMainThread(async () =>
            {
                ICalculator icalculator = DependencyService.Get<ICalculator>(DependencyFetchTarget.GlobalInstance);
                icalculator.setNum(10);
                int result = icalculator.getBase();
                await DisplayAlert("Alert", "The result is = " + result, "OK");
            });

        }
    }
}
